Index: /trunk/plugins/language_switch/flags.tpl
===================================================================
--- /trunk/plugins/language_switch/flags.tpl	(revision 9904)
+++ /trunk/plugins/language_switch/flags.tpl	(revision 9905)
@@ -2,47 +2,48 @@
 <ul class="categoryActions">
 <li class="menuf">
-	<div>
-		<ul>
-			<li>
-				<a rel="nofollow" href="#">
-					<img class="flags" src="{$lang_switch.Active.img}" alt="{$lang_switch.Active.alt}" title="{$lang_switch.Active.alt}"/>
-				</a>
-				<!--[if lte IE 6]>
-					<a rel="nofollow" href="#">
-						<img class="flags" src="{$lang_switch.Active.img}" alt="{$lang_switch.Active.alt}" title="{$lang_switch.Active.alt}"/>
-						<table>
-							<tr>
-								<td>
-				<![endif]-->
-									<ul class="flag-pan">
-									{foreach from=$lang_switch.flags key=code item=flag name=f}
-										<li>
-											<a rel="nofollow" href="{$SCRIPT_NAME}{$flag.url}">
-												<img class="flags" src="{$flag.img}" alt="{$flag.alt}" title="{$flag.alt}"/>
-											</a>
-										</li>
-									{/foreach}
-									</ul>
-				<!--[if lte IE 6]>
-								</td>
-							</tr>
-						</table>
-					</a>
-				<![endif]-->
-			</li>
-		</ul>
-	</div>
+  <div>
+    <ul>
+      <li>
+        <a rel="nofollow" href="#">
+          <img class="flags" src="{$lang_switch.Active.img}" alt="{$lang_switch.Active.alt}" title="{$lang_switch.Active.alt}"/>
+        </a>
+<!--[if lte IE 6]>
+        <a rel="nofollow" href="#">
+          <img class="flags" src="{$lang_switch.Active.img}" alt="{$lang_switch.Active.alt}" title="{$lang_switch.Active.alt}"/>
+          <table>
+            <tr>
+              <td>
+<![endif]-->
+        <ul class="flag-pan">
+
+{foreach from=$lang_switch.flags key=code item=flag name=f}
+          <li>
+            <a rel="nofollow" href="{$SCRIPT_NAME}{$flag.url}">
+              <img class="flags" src="{$flag.img}" alt="{$flag.alt}" title="{$flag.alt}"/>
+            </a>
+          </li>
+{/foreach}
+
+        </ul>
+<!--[if lte IE 6]>
+              </td>
+            </tr>
+          </table>
+        </a>
+<![endif]-->
+      </li>
+    </ul>
+  </div>
 </li>
+
+{combine_css path="plugins/language_switch/language_switch-default.css"}
+
+{if $themeconf.name eq 'Sylvia'}
+{combine_css path="plugins/language_switch/language_switch-Sylvia.css"}
+{/if}
+
 {html_head}
-{if $themeconf.name == 'Sylvia'}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}{$LANGUAGE_SWITCH_PATH|@cat:'language_switch.css'}"> 
-{else}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}{$LANGUAGE_SWITCH_PATH|@cat:'language_switch-default.css'}"> 
-{/if}
-{if Componant_exists($LANGUAGE_SWITCH_PATH, 'language_switch-local.css')}
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}{$LANGUAGE_SWITCH_PATH|@cat:'language_switch-local.css'}"> 
-{/if}
 <!--[if lte IE 6]>
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}{$LANGUAGE_SWITCH_PATH|@cat:'language_switch-ie6.css'}"> 
+<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/language_switch/language_switch-ie6.css">
 <![endif]-->
 {/html_head}
Index: /trunk/plugins/language_switch/language_switch-Sylvia.css
===================================================================
--- /trunk/plugins/language_switch/language_switch-Sylvia.css	(revision 9905)
+++ /trunk/plugins/language_switch/language_switch-Sylvia.css	(revision 9905)
@@ -0,0 +1,6 @@
+.flag-pan { border:1px solid; background-color: #111; }
+.menuf .flags {border-color: #000 !important; }
+
+.flag-pan { 	border-radius: 8px; } /* round corners with CSS3 compliant browsers */
+.flag-pan { -moz-border-radius:8px; } 
+.flag-pan { -webkit-border-radius: 8px; }
Index: unk/plugins/language_switch/language_switch.css
===================================================================
--- /trunk/plugins/language_switch/language_switch.css	(revision 9904)
+++ 	(revision )
@@ -1,8 +1,0 @@
-@import "language_switch-default.css";
-
-.flag-pan { border:1px solid; background-color: #111; }
-.menuf .flags {border-color: #000 !important; }
-
-.flag-pan { 	border-radius: 8px; } /* round corners with CSS3 compliant browsers */
-.flag-pan { -moz-border-radius:8px; } 
-.flag-pan { -webkit-border-radius: 8px; }