Index: /trunk/plugins/language_switch/flags.tpl
===================================================================
--- /trunk/plugins/language_switch/flags.tpl	(revision 9905)
+++ /trunk/plugins/language_switch/flags.tpl	(revision 9906)
@@ -5,5 +5,5 @@
     <ul>
       <li>
-        <a rel="nofollow" href="#">
+        <a rel="nofollow" href="#" class="activeFlag">
           <img class="flags" src="{$lang_switch.Active.img}" alt="{$lang_switch.Active.alt}" title="{$lang_switch.Active.alt}"/>
         </a>
@@ -16,9 +16,10 @@
 <![endif]-->
         <ul class="flag-pan">
+         <li class="languageSwitchBoxTitle">{'Language'|@translate}</li>
 
 {foreach from=$lang_switch.flags key=code item=flag name=f}
           <li>
             <a rel="nofollow" href="{$SCRIPT_NAME}{$flag.url}">
-              <img class="flags" src="{$flag.img}" alt="{$flag.alt}" title="{$flag.alt}"/>
+              <img class="flags" src="{$flag.img}" alt="{$flag.alt}" title="{$flag.alt}"/> {$flag.title}
             </a>
           </li>
Index: /trunk/plugins/language_switch/language_switch-Sylvia.css
===================================================================
--- /trunk/plugins/language_switch/language_switch-Sylvia.css	(revision 9905)
+++ /trunk/plugins/language_switch/language_switch-Sylvia.css	(revision 9906)
@@ -1,3 +1,4 @@
 .flag-pan { border:1px solid; background-color: #111; }
+.content ul.categoryActions .flag-pan a:hover {color:#ddd}
 .menuf .flags {border-color: #000 !important; }
 
Index: /trunk/plugins/language_switch/language_switch-default.css
===================================================================
--- /trunk/plugins/language_switch/language_switch-default.css	(revision 9905)
+++ /trunk/plugins/language_switch/language_switch-default.css	(revision 9906)
@@ -1,15 +1,19 @@
-.flag-pan { width:132px; z-index:100; border-width:1px; border-style: solid; background-color: #999; padding: 2px 5px 10px 5px; }
-.content ul.categoryActions .flag-pan a img.flags { margin: 5px 2px 10px; }
-.content ul.categoryActions .flag-pan a { margin: 0; border:none; }
+.flag-pan { width:380px; z-index:100; border:2px solid #CDCDCD; background-color: #f0f0f0; padding: 2px 5px 10px 5px; }
+.languageSwitchBoxTitle {display:block;width:370px;text-align:center;margin:5px auto;font-weight:bold;color:#464646;}
+.content ul.categoryActions .flag-pan a img.flags { margin-bottom: -2px; }
+.content ul.categoryActions .flag-pan a { margin: 0; border:none; color:#464646;}
+.content ul.categoryActions .flag-pan a:hover {color:black}
 .menuf { width:30px; height:24px; display: inline; } 
-.menuf ul li a, .menuf ul li a:visited {display:block; text-decoration:none; width:44px; height:27px; text-align:center; line-height:27px; overflow:hidden; border:none}
+.menuf ul li a, .menuf ul li a:visited {display:block; text-decoration:none; width:120px; height:27px; text-align:left; line-height:27px; overflow:hidden; border:none}
 .menuf ul {padding:0; margin:0; list-style: none;}
-.menuf ul li {float:left; position:relative; right: 0; top: 0;}
+.menuf ul li {float:left; position:relative; right:0; top:0; margin-left:5px}
 .menuf ul li ul {display: none;}/* specific to non IE browsers */
-.menuf li a:hover { border:0 !important;}
-.menuf .flags {border-width:1px !important; ; border-style: solid !important; margin-top:5px; }
-.menuf ul li:hover ul {display:block; position:absolute; top:0px; left:-96px; }
+.menuf li a:hover { border:1px dotted #464646}
+.menuf .flags {border:1px solid #ddd !important; margin-top:5px; }
+.menuf ul li:hover ul {display:block; position:absolute; top:0px; right:0px; }
 .menuf ul li:hover ul li ul {display: none;}
 .menuf ul li:hover ul li {display: block;}
 .menuf ul li:hover ul li a {display:block;}
 .menuf ul li:hover ul li:hover ul {display:block; position:absolute; left:0px; top:0;}
+
+.menuf ul li a.activeFlag, .menuf ul li a.activeFlag:visited {width:30px;}
Index: /trunk/plugins/language_switch/language_switch.inc.php
===================================================================
--- /trunk/plugins/language_switch/language_switch.inc.php	(revision 9905)
+++ /trunk/plugins/language_switch/language_switch.inc.php	(revision 9906)
@@ -71,9 +71,14 @@
                  add_url_params( $url_starting, array('lang'=> $code) )),
         'alt' => ucwords( $displayname ),
+        'title' => substr($displayname, 0, -4), // remove [FR] or [RU]
         'img' => get_root_url().'language/' . $code . '/' . $code . '.jpg',
         );
-      if ( $code !== $user['language'] ) 
-        $lsw['flags'][$code] = $qlc ;
-      else $lsw['Active'] = $qlc;
+      
+      $lsw['flags'][$code] = $qlc ;
+      
+      if ($code == $user['language'])
+      {
+        $lsw['Active'] = $qlc;
+      }
     }
     $template->set_filename('language_flags', dirname(__FILE__) . '/flags.tpl');