Index: /extensions/autoupdate/trunk/template/autoupdate.js
===================================================================
--- /extensions/autoupdate/trunk/template/autoupdate.js	(revision 9946)
+++ /extensions/autoupdate/trunk/template/autoupdate.js	(revision 9947)
@@ -1,11 +1,16 @@
+var todo = 0;
+var queuedManager = $.manageAjax.create('queued', { 
+	queue: true,  
+	maxRequests: 1,
+  beforeSend: function() { autoupdate_bar_toggle(1); },
+  complete: function() { autoupdate_bar_toggle(-1); }
+});
+
 function updateAll() {
   if (confirm(confirmMsg)) {
-    extList = [];
     jQuery('.updateExtension').each( function() {
-      if (jQuery(this).parents('div').css('display') == 'block') {
-        extList.push(jQuery(this).attr('onClick'));
-      }
+      if (jQuery(this).parents('div').css('display') == 'block')
+        jQuery(this).click();
     });
-    if (extList.length > 0) eval(extList[0]);
   }
 };
@@ -57,50 +62,21 @@
 
 function upgradeExtension(type, id, revision) {
-  jQuery('.autoupdate_bar').toggle();
-  jQuery.ajax({
+  queuedManager.add({
     type: 'GET',
+    dataType: 'json',
     url: 'ws.php',
     data: { method: 'pwg.'+type+'s.update', id: id, revision: revision, pwg_token: pwg_token, format: 'json' },
     success: function(data) {
       if (data['stat'] == 'ok') {
+        jQuery.jGrowl( data['result'], { theme: 'success', header: successHead, life: 4000, sticky: false });
         jQuery("#"+type+"_"+id).remove();
         checkFieldsets();
-        jQuery.jGrowl(
-          data['result'],
-          {
-            theme:  'success',
-            header: successHead,
-            life:   4000,
-            sticky: false
-          }
-        );
-        if (extList.length > 0) extList.shift();
-        if (extList.length > 0) eval(extList[0]);
       } else {
-        jQuery.jGrowl(
-          data['result'],
-          {
-            theme:  'error',
-            header: errorHead,
-            sticky: true
-          }
-        );
-        extList = [];
+        jQuery.jGrowl( data['result'], { theme: 'error', header: errorHead, sticky: true });
       }
-      jQuery('.autoupdate_bar').toggle();
     },
     error: function(data) {
-      jQuery.jGrowl(
-        errorMsg,
-        {
-          theme:  'error',
-          header: errorHead,
-          sticky: true
-        }
-      );
-      extList = [];
-      jQuery('.autoupdate_bar').toggle();
-    },
-    dataType: 'json'
+      jQuery.jGrowl( errorMsg, { theme: 'error', header: errorHead, sticky: true });
+    }
   });
 };
@@ -121,2 +97,8 @@
   });
 };
+
+function autoupdate_bar_toggle(i) {
+  todo = todo + i;
+  if ((i == 1 && todo == 1) || (i == -1 && todo == 0))
+    jQuery('.autoupdate_bar').toggle();
+}
Index: /extensions/autoupdate/trunk/template/update_ext.tpl
===================================================================
--- /extensions/autoupdate/trunk/template/update_ext.tpl	(revision 9946)
+++ /extensions/autoupdate/trunk/template/update_ext.tpl	(revision 9947)
@@ -1,7 +1,8 @@
+{combine_script id='jquery.ajaxmanager' load='footer' require='jquery' path='themes/default/js/plugins/jquery.ajaxmanager.js' }
 {combine_script id='jquery.jgrowl' load='footer' require='jquery' path='themes/default/js/plugins/jquery.jgrowl_minimized.js' }
-{combine_script id='jquery.autoupdate' load='footer' require='jquery' path='plugins/autoupdate/template/autoupdate.js' }
+{combine_script id='jquery.autoupdate' load='footer' require='jquery.ajaxmanager,jquery.jgrowl' path='plugins/autoupdate/template/autoupdate.js' }
 {combine_css path="admin/themes/default/uploadify.jGrowl.css"}
 
-{footer_script require='jquery.autoupdate,jquery.effects.blind,jquery.jgrowl'}
+{footer_script require='jquery.autoupdate,jquery.effects.blind'}
 var pwg_token = '{$PWG_TOKEN}';
 var extList = new Array();
Index: /extensions/autoupdate/trunk/ws_functions.inc.php
===================================================================
--- /extensions/autoupdate/trunk/ws_functions.inc.php	(revision 9946)
+++ /extensions/autoupdate/trunk/ws_functions.inc.php	(revision 9947)
@@ -2,6 +2,4 @@
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-global $conf;
 
 $service = &$arr[0];