Index: /extensions/LLGBO2/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/de_DE/plugin.lang.php	(revision 9954)
@@ -85,3 +85,4 @@
 /*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Kompatibilität zwischen HD Shadowbox und In-Bild-Navigation. <br> HD Shadowbox muss aktiviert sein!';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/en_UK/plugin.lang.php	(revision 9954)
@@ -83,5 +83,6 @@
 $lang['llgbo_always_displayexif'] = 'Always display METADATA:' ;
 $lang['Reset_To_Default'] = 'Reset to default values';
-$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
-$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
+/*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
+/*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/es_ES/plugin.lang.php	(revision 9954)
@@ -85,3 +85,4 @@
 /*TODO*/$lang['llgo_warning_setting'] = 'To use with Gally themes, the plugin cl_conflit must be installed';
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated !';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/fr_FR/plugin.lang.php	(revision 9954)
@@ -84,5 +84,5 @@
 $lang['Reset_To_Default'] = 'Rétablir les valeurs par défaut';
 $lang['llgbo_hdShadowbox'] ='Compatibilité de HD Shadowbox avec la navigation sur image. <br> le plugin HD Shadowbox doit être activé! ';
-// To do translation
 $lang['llgo_warning_setting'] = 'Pour utiliser les thémes Gally , vous devez installer le plugin cl_conflit';
+$lang['llgbo_dispinshadowbox'] ='Affichage dans Shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/hu_HU/plugin.lang.php	(revision 9954)
@@ -85,3 +85,4 @@
 $lang['llgbo_hdShadowbox'] ='HD Shadowbox kompatibilis kép böngészés. <br> Be kell kapcsolni a HD Shadowbox bővítményt';
 /*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/lv_LV/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/lv_LV/plugin.lang.php	(revision 9954)
@@ -86,4 +86,5 @@
 $lang['llgbo_hdShadowbox'] ='HD ĒnuKastes (Shadowbox) un navigācijas rīku uz attēla saderība. <br> HD ĒnuKastei (Shadowbox) jābūt aktivētai!';
 /*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 
 ?>
Index: /extensions/LLGBO2/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/no_NO/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/no_NO/plugin.lang.php	(revision 9954)
@@ -86,4 +86,5 @@
 $lang['llgo_warning_setting'] = 'for å kunne bruke Gally temaer, må plugginen cl_conflit være installert';
 $lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox og navigeirng på bilder. <br> Må HD Shadowbox være aktivert!';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 
 ?>
Index: /extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 9954)
@@ -85,3 +85,4 @@
 /*TODO*/$lang['llgo_warning_setting'] = 'To use with Gally themes, the plugin cl_conflit must be installed';
 /*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/ru_RU/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/ru_RU/plugin.lang.php	(revision 9954)
@@ -98,4 +98,5 @@
 $lang['llgbo_hdShadowbox'] ='Совместимость HD Shadowbox и навигации при наведении на фотографию.<br> Плагин HD Shadowbox должен быть активирован!';
 /*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 
 ?>
Index: /extensions/LLGBO2/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/LLGBO2/language/sk_SK/plugin.lang.php	(revision 9953)
+++ /extensions/LLGBO2/language/sk_SK/plugin.lang.php	(revision 9954)
@@ -85,3 +85,4 @@
 $lang['llgbo_hdShadowbox'] ='Povolenie HD tienenej bunky a navigácie na fotografii. <br> HD tienená bunka musí byť aktivovaná!';
 /*TODO*/$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
+/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
 ?>
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 9953)
+++ /extensions/LLGBO2/main.inc.php	(revision 9954)
@@ -23,10 +23,12 @@
  $conf['LLGBO_FRAME'] = explode (",",$conf['LLGBOFRAME']); 
  $conf['LLGBO_HEADER'] = explode (",",$conf['LLGBOHEADER']);   
- 
+ load_language('plugin.lang', LLGBO_PATH);
 /////////////////////////////////////////////////////
 /*  PLUGIN CLASS  */
 /////////////////////////////////////////////////////
 class look_like_gbo
-{/* Set the administration panel of the plugin */
+{
+
+/* Set the administration panel of the plugin */
   function plugin_admin_menu($menu)
   {    array_push($menu,
@@ -263,5 +265,5 @@
        'MAP_TO_USED' =>   $usemap  	   
 	   )); 
-
+ 
 If (isset($ThePicture['has_high'])and isset($ThePicture['high_url']))
 		{  $uuid = uniqid(rand());
@@ -275,5 +277,5 @@
 			 if (!isset($next)){$nbarea = 2;}
 			 if (!isset($prev)){$nbarea = 2;}
-			 $template->assign('HDHREF', ' href="'.$ThePicture['high_url'].'" title= " HD --> '.$ThePicture['name'].'"');
+			 $template->assign('HDHREF', ' href="'.$ThePicture['high_url'].'" title= "'.$lang['llgbo_dispinshadowbox'].$ThePicture['name'].'"');
 			  $template->append('head_elements', "\n".'<script type="text/javascript">'."\n".'window.onload = function() {'."\n".'Shadowbox.setup(document.getElementById("prevnext").getElementsByTagName("area")['.$nbarea.']);}'."\n".'</script>'  );} 
            else